Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QTimerEvent

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QEvent
                  com.trolltech.qt.core.QTimerEvent

All Implemented Interfaces:
  QtJambiInterface

    public class QTimerEvent

extends QEvent

The `QTimerEvent` class contains parameters that describe a timer event.

Timer events are sent at regular intervals to objects that have started one or more timers. Each timer has a unique identifier. A timer is started with QObject::startTimer().

The `QTimer` class provides a high-level programming interface that uses signals instead of events. It also provides single-shot timers.

The event handler QObject::timerEvent() receives timer events.

See Also:
  `QTimer`, `QObject::timerEvent`, `QObject::startTimer`, `QObject::killTimer`

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.core.QEvent
`QEvent.Type`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QTimerEvent(int timerId)` Constructs a timer event object with the timer identifier set to `timerId`.

Method Summary
`static QTimerEvent` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QTimerEvent instance pointed to by nativePointer
`protected int` | `id()` Returns the id of this QTimerEvent.
`protected void` | `setId(int id)` Sets the `id` of this QTimerEvent.
`int` | `timerId()` Returns the unique timer identifier, which is the same identifier as returned from QObject::startTimer().

Methods inherited from class com.trolltech.qt.core.QEvent
`accept, ignore, isAccepted, setAccepted, setT, spontaneous, t, type`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QTimerEvent

    public QTimerEvent(int timerId)

  Constructs a timer event object with the timer identifier set to `timerId`.

Method Detail

### timerId

    public final int timerId()

  Returns the unique timer identifier, which is the same identifier as returned from QObject::startTimer().

### setId

    protected final void setId(int id)

  Sets the `id` of this QTimerEvent.

### id

    protected final int id()

  Returns the id of this QTimerEvent.

### fromNativePointer

    public static QTimerEvent fromNativePointer(QNativePointer nativePointer)

  This function returns the QTimerEvent instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD